REM Script to replace default.tb file with default_bak.tb, and to make it read-only
REM so that it doesn't get overwritten by user changes.

@echo off

ver | find "Version 5.0." > nul
if %ERRORLEVEL% == 0 goto ver_xp

ver | find "Version 5.1." > nul
if %ERRORLEVEL% == 0 goto ver_xp

ver | find "Version 6.0." > nul
if %ERRORLEVEL% == 0 goto ver_vista

ver | find "Version 6.1." > nul
if %ERRORLEVEL% == 0 goto ver_7

echo Unable to detect operating system version. Please contact McNeel Support for assistance: http://www.rhino3d.com/support
goto end

:ver_2000
:ver_xp
set rhino4tbfolder=%ALLUSERSPROFILE%\Application Data\mcneel\rhinoceros\4.0
goto reset

:ver_vista
:ver_7
set rhino4tbfolder=%ALLUSERSPROFILE%\mcneel\rhinoceros\4.0
goto reset

:reset
del "%rhino4tbfolder%\default.tb" > nul
if exist "%rhino4tbfolder%\default.tb" goto nonadmin
copy "%rhino4tbfolder%\default_backup.tb" "%rhino4tbfolder%\default.tb"
attrib +R "%rhino4tbfolder%\default.tb"
goto end

:nonadmin
echo .
echo You must have administrator permissions to run this script.

:end
pause